import * as $dara from '@darabonba/typescript';
import { DescribeEipAddressesResponseBody } from "./DescribeEipAddressesResponseBody";
export declare class DescribeEipAddressesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeEipAddressesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
